<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Helper\Html</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_toRichTextObject" title="toRichTextObject ::Parse HTML formatting and return the resulting RichText.">
            <span class="description">Parse HTML formatting and return the resulting RichText.</span><pre>toRichTextObject</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected">
                            <a href="#method_breakTag" title="breakTag ::">
                                <span class="description"></span><pre>breakTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_buildTextRun" title="buildTextRun ::">
                                <span class="description"></span><pre>buildTextRun</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_cleanWhitespace" title="cleanWhitespace ::">
                                <span class="description"></span><pre>cleanWhitespace</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_colourNameLookup" title="colourNameLookup ::">
                                <span class="description"></span><pre>colourNameLookup</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_endBoldTag" title="endBoldTag ::">
                                <span class="description"></span><pre>endBoldTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_endFontTag" title="endFontTag ::">
                                <span class="description"></span><pre>endFontTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_endItalicTag" title="endItalicTag ::">
                                <span class="description"></span><pre>endItalicTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_endStrikethruTag" title="endStrikethruTag ::">
                                <span class="description"></span><pre>endStrikethruTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_endSubscriptTag" title="endSubscriptTag ::">
                                <span class="description"></span><pre>endSubscriptTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_endSuperscriptTag" title="endSuperscriptTag ::">
                                <span class="description"></span><pre>endSuperscriptTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_endUnderlineTag" title="endUnderlineTag ::">
                                <span class="description"></span><pre>endUnderlineTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_handleCallback" title="handleCallback ::">
                                <span class="description"></span><pre>handleCallback</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_initialise" title="initialise ::">
                                <span class="description"></span><pre>initialise</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_parseElementNode" title="parseElementNode ::">
                                <span class="description"></span><pre>parseElementNode</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_parseElements" title="parseElements ::">
                                <span class="description"></span><pre>parseElements</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_parseTextNode" title="parseTextNode ::">
                                <span class="description"></span><pre>parseTextNode</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_rgbToColour" title="rgbToColour ::">
                                <span class="description"></span><pre>rgbToColour</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_startBoldTag" title="startBoldTag ::">
                                <span class="description"></span><pre>startBoldTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_startFontTag" title="startFontTag ::">
                                <span class="description"></span><pre>startFontTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_startItalicTag" title="startItalicTag ::">
                                <span class="description"></span><pre>startItalicTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_startStrikethruTag" title="startStrikethruTag ::">
                                <span class="description"></span><pre>startStrikethruTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_startSubscriptTag" title="startSubscriptTag ::">
                                <span class="description"></span><pre>startSubscriptTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_startSuperscriptTag" title="startSuperscriptTag ::">
                                <span class="description"></span><pre>startSuperscriptTag</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_startUnderlineTag" title="startUnderlineTag ::">
                                <span class="description"></span><pre>startUnderlineTag</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Html</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_breakTag"></a>
                        <div class="element clickable methodprotected method_breakTag" data-toggle="collapse" data-target=".method_breakTag .collapse">
                            <h2>breakTag</h2>
                            <pre>breakTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_buildTextRun"></a>
                        <div class="element clickable methodprotected method_buildTextRun" data-toggle="collapse" data-target=".method_buildTextRun .collapse">
                            <h2>buildTextRun</h2>
                            <pre>buildTextRun()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_cleanWhitespace"></a>
                        <div class="element clickable methodprotected method_cleanWhitespace" data-toggle="collapse" data-target=".method_cleanWhitespace .collapse">
                            <h2>cleanWhitespace</h2>
                            <pre>cleanWhitespace()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_colourNameLookup"></a>
                        <div class="element clickable methodprotected method_colourNameLookup" data-toggle="collapse" data-target=".method_colourNameLookup .collapse">
                            <h2>colourNameLookup</h2>
                            <pre>colourNameLookup( $rgb)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$rgb</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_endBoldTag"></a>
                        <div class="element clickable methodprotected method_endBoldTag" data-toggle="collapse" data-target=".method_endBoldTag .collapse">
                            <h2>endBoldTag</h2>
                            <pre>endBoldTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_endFontTag"></a>
                        <div class="element clickable methodprotected method_endFontTag" data-toggle="collapse" data-target=".method_endFontTag .collapse">
                            <h2>endFontTag</h2>
                            <pre>endFontTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_endItalicTag"></a>
                        <div class="element clickable methodprotected method_endItalicTag" data-toggle="collapse" data-target=".method_endItalicTag .collapse">
                            <h2>endItalicTag</h2>
                            <pre>endItalicTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_endStrikethruTag"></a>
                        <div class="element clickable methodprotected method_endStrikethruTag" data-toggle="collapse" data-target=".method_endStrikethruTag .collapse">
                            <h2>endStrikethruTag</h2>
                            <pre>endStrikethruTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_endSubscriptTag"></a>
                        <div class="element clickable methodprotected method_endSubscriptTag" data-toggle="collapse" data-target=".method_endSubscriptTag .collapse">
                            <h2>endSubscriptTag</h2>
                            <pre>endSubscriptTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_endSuperscriptTag"></a>
                        <div class="element clickable methodprotected method_endSuperscriptTag" data-toggle="collapse" data-target=".method_endSuperscriptTag .collapse">
                            <h2>endSuperscriptTag</h2>
                            <pre>endSuperscriptTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_endUnderlineTag"></a>
                        <div class="element clickable methodprotected method_endUnderlineTag" data-toggle="collapse" data-target=".method_endUnderlineTag .collapse">
                            <h2>endUnderlineTag</h2>
                            <pre>endUnderlineTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_handleCallback"></a>
                        <div class="element clickable methodprotected method_handleCallback" data-toggle="collapse" data-target=".method_handleCallback .collapse">
                            <h2>handleCallback</h2>
                            <pre>handleCallback(\DOMElement $element,string $callbackTag,array $callbacks)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$element</h4>
                                                <code>\DOMElement</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$callbackTag</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$callbacks</h4>
                                                <code>array</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_initialise"></a>
                        <div class="element clickable methodprotected method_initialise" data-toggle="collapse" data-target=".method_initialise .collapse">
                            <h2>initialise</h2>
                            <pre>initialise()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_parseElementNode"></a>
                        <div class="element clickable methodprotected method_parseElementNode" data-toggle="collapse" data-target=".method_parseElementNode .collapse">
                            <h2>parseElementNode</h2>
                            <pre>parseElementNode(\DOMElement $element)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$element</h4>
                                                <code>\DOMElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_parseElements"></a>
                        <div class="element clickable methodprotected method_parseElements" data-toggle="collapse" data-target=".method_parseElements .collapse">
                            <h2>parseElements</h2>
                            <pre>parseElements(\DOMNode $element)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$element</h4>
                                                <code>\DOMNode</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_parseTextNode"></a>
                        <div class="element clickable methodprotected method_parseTextNode" data-toggle="collapse" data-target=".method_parseTextNode .collapse">
                            <h2>parseTextNode</h2>
                            <pre>parseTextNode(\DOMText $textNode)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$textNode</h4>
                                                <code>\DOMText</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_rgbToColour"></a>
                        <div class="element clickable methodprotected method_rgbToColour" data-toggle="collapse" data-target=".method_rgbToColour .collapse">
                            <h2>rgbToColour</h2>
                            <pre>rgbToColour( $rgb)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$rgb</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_startBoldTag"></a>
                        <div class="element clickable methodprotected method_startBoldTag" data-toggle="collapse" data-target=".method_startBoldTag .collapse">
                            <h2>startBoldTag</h2>
                            <pre>startBoldTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_startFontTag"></a>
                        <div class="element clickable methodprotected method_startFontTag" data-toggle="collapse" data-target=".method_startFontTag .collapse">
                            <h2>startFontTag</h2>
                            <pre>startFontTag( $tag)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$tag</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_startItalicTag"></a>
                        <div class="element clickable methodprotected method_startItalicTag" data-toggle="collapse" data-target=".method_startItalicTag .collapse">
                            <h2>startItalicTag</h2>
                            <pre>startItalicTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_startStrikethruTag"></a>
                        <div class="element clickable methodprotected method_startStrikethruTag" data-toggle="collapse" data-target=".method_startStrikethruTag .collapse">
                            <h2>startStrikethruTag</h2>
                            <pre>startStrikethruTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_startSubscriptTag"></a>
                        <div class="element clickable methodprotected method_startSubscriptTag" data-toggle="collapse" data-target=".method_startSubscriptTag .collapse">
                            <h2>startSubscriptTag</h2>
                            <pre>startSubscriptTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_startSuperscriptTag"></a>
                        <div class="element clickable methodprotected method_startSuperscriptTag" data-toggle="collapse" data-target=".method_startSuperscriptTag .collapse">
                            <h2>startSuperscriptTag</h2>
                            <pre>startSuperscriptTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_startUnderlineTag"></a>
                        <div class="element clickable methodprotected method_startUnderlineTag" data-toggle="collapse" data-target=".method_startUnderlineTag .collapse">
                            <h2>startUnderlineTag</h2>
                            <pre>startUnderlineTag()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_toRichTextObject"></a>
                        <div class="element clickable methodpublic method_toRichTextObject" data-toggle="collapse" data-target=".method_toRichTextObject .collapse">
                            <h2>Parse HTML formatting and return the resulting RichText.</h2>
                            <pre>toRichTextObject(string $html): \PhpOffice\PhpSpreadsheet\RichText\RichText</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$html</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.RichText.RichText.html">\PhpOffice\PhpSpreadsheet\RichText\RichText</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_colourMap"> </a>
                            <div class="element clickable propertyprotected property_colourMap" data-toggle="collapse" data-target=".property_colourMap .collapse">
                                <h2>colourMap</h2>
                                <pre>colourMap :</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_face"> </a>
                            <div class="element clickable propertyprotected property_face" data-toggle="collapse" data-target=".property_face .collapse">
                                <h2>face</h2>
                                <pre>face :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_size"> </a>
                            <div class="element clickable propertyprotected property_size" data-toggle="collapse" data-target=".property_size .collapse">
                                <h2>size</h2>
                                <pre>size :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_color"> </a>
                            <div class="element clickable propertyprotected property_color" data-toggle="collapse" data-target=".property_color .collapse">
                                <h2>color</h2>
                                <pre>color :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_bold"> </a>
                            <div class="element clickable propertyprotected property_bold" data-toggle="collapse" data-target=".property_bold .collapse">
                                <h2>bold</h2>
                                <pre>bold :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_italic"> </a>
                            <div class="element clickable propertyprotected property_italic" data-toggle="collapse" data-target=".property_italic .collapse">
                                <h2>italic</h2>
                                <pre>italic :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_underline"> </a>
                            <div class="element clickable propertyprotected property_underline" data-toggle="collapse" data-target=".property_underline .collapse">
                                <h2>underline</h2>
                                <pre>underline :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_superscript"> </a>
                            <div class="element clickable propertyprotected property_superscript" data-toggle="collapse" data-target=".property_superscript .collapse">
                                <h2>superscript</h2>
                                <pre>superscript :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_subscript"> </a>
                            <div class="element clickable propertyprotected property_subscript" data-toggle="collapse" data-target=".property_subscript .collapse">
                                <h2>subscript</h2>
                                <pre>subscript :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_strikethrough"> </a>
                            <div class="element clickable propertyprotected property_strikethrough" data-toggle="collapse" data-target=".property_strikethrough .collapse">
                                <h2>strikethrough</h2>
                                <pre>strikethrough :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_startTagCallbacks"> </a>
                            <div class="element clickable propertyprotected property_startTagCallbacks" data-toggle="collapse" data-target=".property_startTagCallbacks .collapse">
                                <h2>startTagCallbacks</h2>
                                <pre>startTagCallbacks :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_endTagCallbacks"> </a>
                            <div class="element clickable propertyprotected property_endTagCallbacks" data-toggle="collapse" data-target=".property_endTagCallbacks .collapse">
                                <h2>endTagCallbacks</h2>
                                <pre>endTagCallbacks :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_stack"> </a>
                            <div class="element clickable propertyprotected property_stack" data-toggle="collapse" data-target=".property_stack .collapse">
                                <h2>stack</h2>
                                <pre>stack :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_stringData"> </a>
                            <div class="element clickable propertyprotected property_stringData" data-toggle="collapse" data-target=".property_stringData .collapse">
                                <h2>stringData</h2>
                                <pre>stringData :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_richTextObject"> </a>
                            <div class="element clickable propertyprotected property_richTextObject" data-toggle="collapse" data-target=".property_richTextObject .collapse">
                                <h2>richTextObject</h2>
                                <pre>richTextObject :\PhpOffice\PhpSpreadsheet\RichText\RichText</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.RichText.RichText.html">\PhpOffice\PhpSpreadsheet\RichText\RichText</a></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Helper\Html"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Helper.html">Helper</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Helper.Html.html">Html</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:56 +0000.<br/>
    </footer></body>
</html>
